summaryrefslogtreecommitdiffstats
path: root/abs/extra-testing/recstat/recstat
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2010-03-25 16:35:20 (GMT)
committerJames Meyer <james.meyer@operamail.com>2010-03-25 16:35:20 (GMT)
commitc72e5b283fb8b8cb83158fa8b81c1557b6d4af40 (patch)
treeac455eb8aa9e8c6e2fadb649821a44953033611c /abs/extra-testing/recstat/recstat
parenteffe3b68b666b2e242bbd53871cde8ad0792463f (diff)
downloadlinhes_pkgbuild-c72e5b283fb8b8cb83158fa8b81c1557b6d4af40.zip
linhes_pkgbuild-c72e5b283fb8b8cb83158fa8b81c1557b6d4af40.tar.gz
linhes_pkgbuild-c72e5b283fb8b8cb83158fa8b81c1557b6d4af40.tar.bz2
recstat: initial include. Does not have support for runit
recstat will need to be modified ref #632
Diffstat (limited to 'abs/extra-testing/recstat/recstat')
-rw-r--r--abs/extra-testing/recstat/recstat56
1 files changed, 56 insertions, 0 deletions
diff --git a/abs/extra-testing/recstat/recstat b/abs/extra-testing/recstat/recstat
new file mode 100644
index 0000000..2d72c61
--- /dev/null
+++ b/abs/extra-testing/recstat/recstat
@@ -0,0 +1,56 @@
+#! /bin/sh
+
+set -e
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DESC="serial port encoder status script"
+NAME=recstat
+DAEMON=/usr/bin/$NAME.py
+PIDFILE=/var/run/$NAME.pid
+SCRIPTNAME=/etc/init.d/$NAME
+
+# Gracefully exit if the package has been removed.
+test -x $DAEMON || exit 0
+
+#
+# Function that starts the daemon/service.
+#
+d_start() {
+ start-stop-daemon --start --quiet --make-pidfile --pidfile $PIDFILE \
+ --exec $DAEMON &
+}
+
+#
+# Function that stops the daemon/service.
+#
+d_stop() {
+ kill -9 `cat $PIDFILE`
+}
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: $NAME"
+ d_start
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: $NAME"
+ d_stop
+ echo "."
+ ;;
+ restart|force-reload)
+ echo -n "Stopping $DESC: $NAME"
+ d_stop
+ sleep 1
+ echo "."
+ echo -n "Starting $DESC: $NAME"
+ d_start
+ echo "."
+ ;;
+ *)
+ echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0 \ No newline at end of file